 #   IRC - Internet Relay Chat, .travis.yml
 #   Copyright (C) 1990 Jarkko Oikarinen and
 #   University of Oulu, Computing Center
 #
 #    See file AUTHORS in IRC package for additional names of
 #     the programmers.
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
 #   the Free Software Foundation; either version 1, or (at your option)
 #   any later version.
 #
 #   This program is distributed in the hope that it will be useful,
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #   GNU General Public License for more details.
 #
 #   You should have received a copy of the GNU General Public License
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

language: c

dist: trusty
sudo: required

compiler:
   - gcc
   - clang

os:
   - linux

addons:
   apt:
      packages:
         - autoconf
         - automake
         - libtool
         - check
         - libssl-dev
         - shtool

before_script: echo "automake --add-missing -f; autoreconf -vfi; exit 0" > autogen.sh && chmod +x autogen.sh
script:
  - ./autogen.sh
  - ./configure
  - make

install: true

notifications:
   irc:
      channels:
         - "irc.dal.net#bahamut"
      template:
         - "bahamut-build #%{build_number} (%{commit} by %{author}): %{message}"
         - "See detail at %{build_url}"
   email: false
